@font-face {
    font-family: 'Inter';
    src: local('Inter'),
        url(./assets/fonts/Inter/Inter-ExtraLight.ttf) format('truetype');
    font-weight: 300;
}

@font-face {
    font-family: 'Inter';
    src: local('Inter'), url(./assets/fonts/Inter/Inter-Regular.ttf) format('truetype');
    font-weight: 400;
}

@font-face {
    font-family: 'Inter';
    src: local('Inter'), url(./assets/fonts/Inter/Inter-Medium.ttf) format('truetype');
    font-weight: 500;
}

@font-face {
    font-family: 'Inter';
    src: local('Inter'),
        url(./assets/fonts/Inter/Inter-SemiBold.ttf) format('truetype');
    font-weight: 600;
}

:root {
    --primary-accent: #9747ff;
    --primary-accent-hover: #ac6bfc;
    --bg-grey: #353539;
    --mid-grey: rgb(142, 143, 143);
    --icon-inactive: #7f7f85;
    --near-dark-grey: #2d2d30;
    --dark-grey: #262629;
    --authorise: #9789ed;
    --authorise-hover: #aca1f1;
    --copy-complete: #31c38f;
    --mint: #31c4b2;
    --mint-hover: #5bcfc1;
    --melt: #ff8291;
    --melt-hover: #f299a6;
    --rescript: #d17cc9;
    --rescript-hover: #da96d4;
    --subgroup: #cfb46d;
    --subgroup-hover: #d9c38a;
    --receive: #5b9ccb;
    --send: #78cc76;
    --kill: #ff4a60;
    --kill-hover: #ee6a7e;
    --pure-black: #000;
    --pure-white: #fff;
    --hyperlink: #bf8dff;

    --exit-button-default: url('./assets/exit-button-default.svg');
    --exit-button-hover: url('./assets/exit-button-hover.svg');
    --kill-switch-default: url('./assets/kill-switch-default.svg');
    --kill-switch-disabled: url('./assets/kill-switch-disabled.svg');
    --kill-switch-hover: url('./assets/kill-switch-hover.svg');
    --check-mark-active: url('./assets/check-mark-active.svg');
    --check-mark-deactivated: url('./assets/check-mark-deactivated.svg');
    --left-arrow: url('./assets/left-arrow.svg');
    --left-arrow-disabled: url('./assets/left-arrow-disabled.svg');
    --right-arrow: url('./assets/right-arrow.svg');
    --right-arrow-disabled: url('./assets/right-arrow-disabled.svg');
}

body {
    font-family: 'Inter', sans-serif;
    font-variant-ligatures: none;
    font-weight: 400;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    background-color: var(--bg-grey);
}

*::-webkit-scrollbar {
    width: 8px;
    background-color: var(--dark-grey);
}

*::-webkit-scrollbar-thumb {
    background-color: var(--authorise);
}

*::-webkit-scrollbar-thumb:hover {
    background-color: var(--authorise-hover);
}

.my-prev-button,
.my-next-button {
    min-width: 40px;
    max-width: 40px;
    height: 198px;
    background: var(--dark-grey);
    position: relative;
    cursor: pointer;
}

.my-prev-button::after,
.my-next-button::after {
    content: '';
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 28px;
    height: 28px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}

.my-prev-button::after {
    background-image: var(--left-arrow);
}

.my-next-button::after {
    background-image: var(--right-arrow);
}

.my-prev-button:disabled::after {
    background-image: var(--left-arrow-disabled);
}

.my-next-button:disabled::after {
    background-image: var(--right-arrow-disabled);
}

.my-prev-button:disabled:hover,
.my-next-button:disabled:hover {
    background: var(--dark-grey);
}

.my-prev-button {
    border-right: 1px solid #8e8f8f;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
    margin-right: 15px;
    display: block!important;
}

.my-next-button {
    border-left: 1px solid #8e8f8f;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    display: block!important;
}

.my-prev-button:hover,
.my-next-button:hover {
    background: rgba(255, 255, 255, 0.2);
}

.my-prev-button:active,
.my-next-button:active {
    background: rgba(255, 255, 255, 0.3);
}
